# Generated from moss-0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name moss

Name: rubygem-%{gem_name}
Version: 0.6
Release: 1%{?dist}
Summary: git-diff files independent of git repositories
License: FreeBSD
URL: https://github.com/mcandre/moss
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(reek) >= 1.3
# BuildRequires: rubygem(reek) < 2
# BuildRequires: rubygem(flay) >= 2.5
# BuildRequires: rubygem(flay) < 3
# BuildRequires: rubygem(flog) >= 4.3
# BuildRequires: rubygem(flog) < 5
# BuildRequires: rubygem(roodi) >= 4.0
# BuildRequires: rubygem(roodi) < 5
# BuildRequires: rubygem(churn) >= 1.0
# BuildRequires: rubygem(churn) < 2
# BuildRequires: rubygem(cane) >= 2.6
# BuildRequires: rubygem(cane) < 3
# BuildRequires: rubygem(excellent) >= 2.1
# BuildRequires: rubygem(excellent) < 3
# BuildRequires: rubygem(rubocop) >= 0.49
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(tailor) >= 1.4
# BuildRequires: rubygem(tailor) < 2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(cucumber) >= 1.3
# BuildRequires: rubygem(cucumber) < 2
# BuildRequires: rubygem(aspelllint) >= 0.10
# BuildRequires: rubygem(aspelllint) < 1
BuildArch: noarch

%description
See README.md for example usage.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/moss
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 0.6-1
- Initial package
